Eke DEM Worker die wordt gebruikt voor het beheer van virtual machines via SCVMM, moet worden geïnstalleerd op een host waarop de SCVMM-console al is geïnstalleerd.

Bovendien moet aan de volgende vereisten zijn voldaan:

  • DEM moet toegang hebben tot de module SCVMM PowerShell die samen met de console is geïnstalleerd.

  • Het MS PowerShell-uitvoeringsbeleid moet zijn ingesteld op RemoteSigned of Unrestricted.

    Gebruik voor informatie over het PowerShell-uitvoeringsbeleid een van de volgende opdrachten na de opdrachtprompt in PowerShell:

    help about_signing
    help Set-ExecutionPolicy

  • Als alle DEM Workers binnen de instantie zich niet op computerbronnen bevinden die aan deze vereisten voldoen, moet Skills worden gebruikt om alle aan SCVMM gerelateerde werkstromen naar bronnen te bewegen die wel aan de vereisten voldoen.

De volgende extra vereisten gelden voor SCVMM.

  • U moet de SCVMM-console installeren voordat u DEM Workers installeert die SCVMM-werkitems gebruiken.

    Als u de DEM Worker installeert voordat u de SCVMM-console installeert, bevat het logboek fouten van deze strekking:

    Werkstroom 'ScvmmEndpointDataCollection' is mislukt met de volgende uitzondering: de term 'Get-VMMServer' is niet herkend als de naam van een cmdlet, functie, scriptbestand of uitvoerbaar programma. Controleer de spelling van de naam of, als er een pad is opgegeven, controleer of het pad juist is en probeer het opnieuw.

    Als u dit probleem wilt oplossen, controleert u of de SCVMM-console is geïnstalleerd en start u de DEM Worker-service opnieuw.

  • Elke instantie van SCVMM moet worden gekoppeld aan het domein waarin de server zich bevindt.

  • De verificatiegegevens die worden gebruikt voor het beheer van het endpoint dat een instantie van SCVMM weergeeft, moeten over beheerderrechten beschikken op de SCVMM-server. De verificatiegegevens moeten ook beschikken over beheerderrechten voor de Hyper-V-servers in de instantie.

  • De beheerde Hyper-V-servers in de SCVMM-instantie moeten Windows 2008 R2 SP1-servers zijn waarop Hyper-V is geïnstalleerd. De processor moet zijn voorzien van de nodige virtualisatie-extensies, .NET Framework 4.5.1 of een latere versie en Windows Management Instrumentation (WMI) moeten zijn geïnstalleerd.

  • Als u machines wilt inrichten op een SCVMM-computerbron, moet een gebruiker worden toegevoegd aan minstens één beveiligingsrol binnen de SCVMM-instantie.